Subject: bug#27391: 25.2.50; utf-8 coding cookie is not applied on some specific markdown file

From: Vincent Belaïche <[email-masked]>
Date: Fri, 16 Jun 2017 16:10:57 +0200

Le 16/06/2017 à 16:08, Vincent Belaïche a écrit :
> Le 16/06/2017 à 14:59, Eli Zaretskii a écrit :
>>> From: [email-masked] (Vincent Belaïche)
>>> Date: Fri, 16 Jun 2017 12:00:06 +0200
>>> Cc: Vincent Belaïche <[email-masked]>
>>>
>>> I was editing some file written in Markdown. Here is the file :
>>>
>>> https://framagit.org/latex-pourquoi-comment/lpc-articles/blob/795ecb9d4f7b8870486fe6557f01d2fe450c4461/CONTRIBUTING.md
>>>
>>> My Emacs default configuration was to get files in latin-1. So I had
>>> added some `coding: utf-8' cookie in this file. But it did not work, the
>>> file was still read in latin-1 instead of utf8.
>> I cannot reproduce this, and I don't see any coding cookies in the
>> file I downloaded.
>>
>> Please provide a minimal recipe that's required to reproduce the
>> problem.  In particular, since you tried in "emacs -q", I don't
>> understand what does it mean that your default configuration is
>> latin-1: in "emacs -q" your default configuration is determined by
>> your system locale.
>>
>> Thanks.
> Attached is the file causing the issue. Recipe is just to visit the file
> with emacs -q, and you see that the encoding is not taken.
>
> For instance I get the following doc section :
>
> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
> ### doc
> Placez dans *doc* et ses sous-rÃ©pertoires toute la documentation affÃ©rente au projet, sans oublier les notes et courriers Ã©lectroniques importants. Vous pouvez avoir des sous-rÃ©pertoires de doc contenant diffÃ©rents types de documents ou pour diffÃ©rentes phases du projet.
> --8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----
>
> Instead of:
>
> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
> ### doc
> Placez dans *doc* et ses sous-répertoires toute la documentation afférente au projet, sans oublier les notes et courriers électroniques importants. Vous pouvez avoir des sous-répertoires de doc contenant différents types de documents ou pour différentes phases du projet.
> --8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----
>
>    Vincent.
>
>
>
> ---
> L'absence de virus dans ce courrier électronique a été vérifiée par le logiciel antivirus Avast.
> https://www.avast.com/antivirus
Just for the clarification, you needed to click on the open raw button
to see the cookie. I should have sent you this link :

https://framagit.org/latex-pourquoi-comment/lpc-articles/raw/795ecb9d4f7b8870486fe6557f01d2fe450c4461/CONTRIBUTING.md

Instead of the "viewer" equivalent link, where the markdown tags are
interpreted into formatting.

You cannot see the cookies with the viewer link because they are
commented out, so the viewer does not display them.

   V.